/* Custom utilities */
.stroke-text {
    -webkit-text-stroke: 2px black;
    text-shadow:
        3px 3px 0 #000,
        -1px -1px 0 #000,
        1px -1px 0 #000,
        -1px 1px 0 #000,
        1px 1px 0 #000;
}

/* Deep 3D Text Effect */
.text-3d {
    color: #F0F8FF;
    /* Trout White */
    text-shadow:
        0 1px 0 #ccc,
        0 2px 0 #c9c9c9,
        0 3px 0 #bbb,
        0 4px 0 #b9b9b9,
        0 5px 0 #aaa,
        0 6px 1px rgba(0, 0, 0, .1),
        0 0 5px rgba(0, 0, 0, .1),
        0 1px 3px rgba(0, 0, 0, .3),
        0 3px 5px rgba(0, 0, 0, .2),
        0 5px 10px rgba(0, 0, 0, .25),
        0 10px 10px rgba(0, 0, 0, .2),
        0 20px 20px rgba(0, 0, 0, .15);
    /* -webkit-text-stroke: 1px rgba(0,0,0,0.5); */
    /* Optional outline */
}

.text-gold-3d {
    color: #FFD600;
    text-shadow:
        0 1px 0 #998000,
        0 2px 0 #887000,
        0 3px 0 #776000,
        0 4px 0 #665000,
        0 5px 0 #554000,
        0 6px 1px rgba(0, 0, 0, .1),
        0 0 5px rgba(0, 0, 0, .1),
        0 1px 3px rgba(0, 0, 0, .3),
        0 3px 5px rgba(0, 0, 0, .2),
        0 5px 10px rgba(0, 0, 0, .25),
        0 10px 10px rgba(0, 0, 0, .2),
        0 20px 20px rgba(0, 0, 0, .15);
}

body {
    cursor: none;
}

canvas {
    image-rendering: auto;
    /* Smooth scaling */
}